import 'package:flutter/material.dart';
import 'package:mi_flutter_package/mi_flutter_package.dart';

void main() {
  runApp(const MyApp());
}

class MyApp extends StatelessWidget {
  const MyApp({super.key});

  // This widget is the root of your application.
  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      title: 'MI Flutter Package Demo',
      theme: ThemeData(
        colorScheme: ColorScheme.fromSeed(seedColor: Colors.blue),
        useMaterial3: true,
      ),
      home: const HomeScreen(),
    );
  }
}

class HomeScreen extends StatelessWidget {
  const HomeScreen({super.key});

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: MIAppBarWidget(
        automaticallyImplyLeading: true,
        title: const Text(
          "MI AppBar",
          style: TextStyle(color: Colors.white),
        ),
        toolbarHeight: 56,
        leadingWidth: 50,
        centerTitle: true,
        backgroundColor: Colors.blue,
        statusBarColor: Colors.blueGrey,
        elevation: 10,
        shadowColor: Colors.black,
        //sideMargin: 10,
        shapeBorder: const RoundedRectangleBorder(
          borderRadius: BorderRadius.only(
            bottomRight: Radius.circular(10),
            bottomLeft: Radius.circular(10),
          ),
        ),
        onBackButtonTapped: (BuildContext context) {},
      ),
    );
  }
}
